Package org.jbpm.process.instance.context.exception

## Class ExceptionScopeInstance

- java.lang.Object
- - org.jbpm.process.instance.context.AbstractContextInstance
  - - org.jbpm.process.instance.context.exception.ExceptionScopeInstance

- All Implemented Interfaces:
    `Serializable`, `ContextInstance`
  Direct Known Subclasses:
    `CompensationScopeInstance`, `DefaultExceptionScopeInstance`

      public abstract class ExceptionScopeInstance
      extends AbstractContextInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionScopeInstance()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getContextType()` |
    `ExceptionScope` | `getExceptionScope()` |
    `void` | `handleException​(String exception, Object params)` |
    `abstract void` | `handleException​(ExceptionHandler handler, String exception, Object params)` |

    - ### Methods inherited from class org.jbpm.process.instance.context.AbstractContextInstance

      `getContext, getContextId, getContextInstanceContainer, getProcessInstance, setContextId, setContextInstanceContainer, setProcessInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionScopeInstance

          public ExceptionScopeInstance()

  - ### Method Detail

    - #### getContextType

          public String getContextType()

    - #### getExceptionScope

          public ExceptionScope getExceptionScope()

    - #### handleException

          public void handleException​(String exception,
                                      Object params)

    - #### handleException

          public abstract void handleException​(ExceptionHandler handler,
                                               String exception,
                                               Object params)